API Explorer 106 endpoints

Create new ObpActivity

POST /obp/dynamic-entity/banks/obp.testing.01/ObpActivity

OBPv4.0.0-dynamicEntity_createObpActivity_obp.testing.01 Roles: CanCreateDynamicEntityRecord_ObpActivity(per bank) _ObpActivity(obp.testing.01)Dynamic-EntityDynamic

Create new ObpActivity.

Description of this entity, can be markdown text.

Property List:

  • name: description of name field, can be markdown text.
  • username: description of name field, can be markdown text.
  • created_date: description of number field, can be markdown text.

MethodRouting settings example:

<details>

{
  "is_bank_id_exact_match":false,
  "method_name":"dynamicEntityProcess",
  "connector_name":"rest_vMar2019",
  "bank_id_pattern":".*",
  "parameters":[
    {
        "key":"entityName",
        "value":"ObpActivity"
    }
    {
        "key":"url",
        "value":"http://mydomain.com/xxx"
    }
  ]
}

</details>

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

Example request body
{
  "name": "James Brown",
  "username": "James Brown",
  "created_date": "698761728"
}
Example success response
{
  "bank_id": "obp.testing.01",
  "obp_activity": {
    "obp_activity_id": "d8839721-ad8f-45dd-9f78-2080414b93f9",
    "name": "James Brown",
    "username": "James Brown",
    "created_date": "698761728"
  }
}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-10001: Incorrect json format.
  • OBP-50000: Unknown Error.
Implemented by OBPv4.0.0 dynamicEntity_createObpActivity_obp.testing.01 Originally /banks/obp.testing.01/ObpActivity